# mirror-server

A simple server for mirroring HTTP requests for testing.

## Getting Started

* Use the latest stable version of Rust using rustup.
* Build: `cargo build`
* Test: `cargo test`
* Run the server: `cargo run -- --port=8080`
* Create a DEB package:
  * Install cargo-deb: `cargo install cargo-deb`
  * Create the DEB package: `cargo deb`

## Install

Download the DEB file, and install it:

```bash
VERSION=0.2.0
REPO_URL=https://code.birch-tree.net/api/packages/dorian/generic/mirror-server/
curl "${REPO_URL}/${VERSION}/mirror-server_${VERSION}_amd64.deb"
sudo dpkg -i "mirror-server-${VERSION}_amd64.deb"
```

## TODO

* [ ] Add logging to server.
* [ ] Add convenience path to access logging for a certain date / records.
* [ ] Dockerize mirror-server for easier distribution.
